package com.liquidnet.service.goblin.dto.manage;

import com.liquidnet.service.goblin.dto.manage.vo.GoblinGoodsAnticipateValueVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;
import java.util.List;

/**
 *
 * @author liquidnet
 * @since 2022-04-07
 */
@ApiModel(value = "GoblinGoodsAnticipateParam", description = "预约")
@Data
public class GoblinGoodsAnticipateAddParam {

    /**
     * 预约名称
     */
    @ApiModelProperty(value = "预约名称")
    @NotBlank(message = "预约名称")
    private String name;


    /**
     * 预约规则
     */
    @ApiModelProperty(value = "预约规则")
    @NotBlank(message = "预约规则")
    private String rule;

    /**
     * 预约开始时间
     */
    @ApiModelProperty(value = "预约开始时间")
    @NotBlank(message = "预约开始时间")
    private String aboutStartDate;

    /**
     * 预约结束时间
     */
    @ApiModelProperty(value = "预约结束时间")
    @NotBlank(message = "预约结束时间")
    private String aboutEndDate;

    /**
     * 库存
     */
    @ApiModelProperty(value = "sku关联")
    private List<GoblinGoodsAnticipateValueVo> goodsAnticipateValues;


}
